This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 710009 - "Macro end tag is required." when uploading binary configuration file
"Macro end tag is required." when uploading binary configuration file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Configuration Management (Show other bugs)
541
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: sat541-triage
  Show dependency treegraph
 
Reported: 2011-06-02 05:01 EDT by Jan Hutař
Modified: 2012-03-08 04:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 15:22:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2011-06-02 05:01:09 EDT
Description of problem:
When I try to upload binary configuration file (created from /dev/urandom), WebUI says me:

Macro end tag is required.
Macro start tag is required.


Version-Release number of selected component (if applicable):
spacewalk-java-1.2.39-29.el5sat


How reproducible:
always


Steps to Reproduce:
1. Create config channel
2. Configuration -> Configuration Channels -> <your_channel> ->
   -> Upload configuration files:
       File to Upload *: choose file created with
         `dd if=/dev/urandom of=/home/pok/Desktop/aaa bs=1024 count=10`
       File Type: Binary file
       Filename/Path *: /etc/jhutar-uploaded.bin
       Keep defaults on other places
3. Click "Upload Configuration File"


Actual results:
Error message appears:
> Macro end tag is required.
> Macro start tag is required.

Also "Macro Delimiters" change to:
  Start Delimiter: |   (instead of "{|")
  End Delimiter: |   (instead of "|}")


Expected results:
File should be uploaded
Comment 1 Jan Hutař 2011-06-02 15:22:41 EDT
Sorry, this report was against 5.4.0. When I have updated to 5.4.1 with spacewalk-java-1.2.39-82.el5sat, binary file upload works as expected.

Note You need to log in before you can comment on or make changes to this bug.